/*---------------------------------------------------------*/
/* File : headapp.c
 * V 2.00
 * X applications should include a copy of headapp.c at the biginning.
 * If additional parameters or resources are required modify headapp.c
 *
 */
#include <xwins.h>
#include <xwins_glob.h>

#define DEFAULT_BGCOLOR		"white"
#define DEFAULT_FGCOLOR		"black"
#define DEFAULT_FONT		"fixed"

/* Default parameter values (as strings) */
char	*theBGcolor	= DEFAULT_BGCOLOR,
	*theFGcolor	= DEFAULT_FGCOLOR,
	*theFont	= DEFAULT_FONT,
	*gwBGcolor	= NULL,
	*gwFGcolor	= NULL,
	*gwFont		= NULL,
	*theGeom_rsrc	= NULL,
	*display_name	= NULL,
	*theGeom_cline	= NULL;

/* List of user-customizable resources */
APP_PARAMS app_resources[] =
{
	"background",	"Background",	&theBGcolor,
	"foreground",	"Foreground",	&theFGcolor,
	"font",		"Font",		&theFont,
	"geometry",	"Geometry",	&theGeom_rsrc,
	"graphicwindowbackground", "GraphicWindowBackground", &gwBGcolor,
	"graphicwindowforeground", "GraphicWindowForeground", &gwFGcolor,
	"graphicwindowfont", "GraphicWindowFont", &gwFont
};

int num_resources = sizeof(app_resources) / sizeof(APP_PARAMS);

/* List of command-line options */
APP_PARAMS app_options[] =
{
	"-display",	"-d",	&display_name,
	"-geometry",	"-g",	&theGeom_cline
};

int num_options = sizeof(app_options) / sizeof(APP_PARAMS);
int options_start = 1;
